Bug 832046 - The button which changes to the next grid's page should be grayed out if no objects in the next page
The button which changes to the next grid's page should be grayed out if no o...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Einav Cohen
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 07:39 EDT by Rami Vaknin
Modified: 2016-01-28 16:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-23 04:20:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (41.68 KB, application/x-gzip)
2012-06-14 07:39 EDT, Rami Vaknin
no flags Details

  None (edit)
Description Rami Vaknin 2012-06-14 07:39:18 EDT
Created attachment 591814 [details]
screenshot

Version:
Devel env on Fedora 16, last commit's hash: b151d8a74f9cf012a5828144d2b60fe5df74c5dc

Description:
In case the number of objects in webadmin's main-grid page is as the size of the page (defined by SearchResultsLimit parameter in vdc_options table), the button that moves the grid to the next page is available while it should be grayed out, so it's possible to click on it and move to an empty page.

For instance - if I have 100 vms in the Virtual Machines tab, I can click on the next page button (located in the upper right corner of the Virtual Machines main tab, it will change into page two of the Virtual Machines tab's grid with no objects in it.

Note that this situation happens only when:

the number of objects in main tab's grid % SearchResultsLimit == 0
Comment 1 Einav Cohen 2012-06-14 08:11:55 EDT
are you sure that it is a regression? from what?
Comment 2 Rami Vaknin 2012-06-14 08:14:37 EDT
Pretty sure, from older ovirt-engine commits, I can't point exactly from which commit but I think this regression introduced when the page's objects numbering label first inserted near these buttons not so long ago.
Comment 3 Rami Vaknin 2012-06-14 12:07:06 EDT
Tested it against old code, it seems to happen there too. removing the Regression keyword.
Comment 4 Itamar Heim 2012-12-23 04:20:27 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.